CVE-2005-2030
CVSS5.0
发布时间 :2005-06-16 00:00:00
修订时间 :2016-10-17 23:24:18
NMCOS    

[原文]Ultimate PHP Board (UPB) 1.9.6 GOLD uses weak encryption for passwords in the users.dat file, which allows attackers to easily decrypt the passwords and gain privileges, possibly after exploiting CVE-2005-2005 to obtain users.dat.


[CNNVD]Ultimate PHP Board 脆弱密码加密漏洞(CNNVD-200506-147)

        Ultimate PHP Board (UPB) 1.9.6 GOLD对users.dat文件的密码采用脆弱加密机制,攻击者可能利用CNNVD-200506-0155漏洞获得users.dat文件,然后利用此加密漏洞轻易窃取密码并获得特权。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:ultimate_php_board:ultimate_php_board:1.8
cpe:/a:ultimate_php_board:ultimate_php_board:1.8.2
cpe:/a:ultimate_php_board:ultimate_php_board:1.9
cpe:/a:ultimate_php_board:ultimate_php_board:1.9.6

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2030
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2030
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200506-147
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=111893777504821&w=2
(UNKNOWN)  BUGTRAQ  20050616 M4DR007-06SA (security advisory): Multiple vulnerabilities in UPB 1.9.6 GOLD
http://www.securityfocus.com/bid/13975
(UNKNOWN)  BID  13975

- 漏洞信息

Ultimate PHP Board 脆弱密码加密漏洞
中危 设计错误
2005-06-16 00:00:00 2005-10-25 00:00:00
远程  
        Ultimate PHP Board (UPB) 1.9.6 GOLD对users.dat文件的密码采用脆弱加密机制,攻击者可能利用CNNVD-200506-0155漏洞获得users.dat文件,然后利用此加密漏洞轻易窃取密码并获得特权。

- 公告与补丁

        暂无数据

- 漏洞信息

20498
Ultimate PHP Board (UPB) users.dat Weak Password Encryption
Cryptographic
Loss of Confidentiality, Loss of Integrity Solution Unknown

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-06-16 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Ultimate PHP Board Weak Password Encryption Vulnerability
Design Error 13975
Yes No
2005-06-16 12:00:00 2005-06-16 12:00:00
"Alberto Trivero" <trivero@jumpy.it> is credited with the discovery of this vulnerability.

- 受影响的程序版本

Ultimate PHP Board Ultimate PHP Board 1.9.6
Ultimate PHP Board Ultimate PHP Board 1.9
Ultimate PHP Board Ultimate PHP Board 1.8.2
Ultimate PHP Board Ultimate PHP Board 1.8

- 漏洞讨论

Ultimate PHP Board is prone to a weak password encryption vulnerability. This issue is due to a failure of the application to protect passwords with a sufficiently effective encryption scheme.

This issue may allow a malicious user to gain access to user and administrator passwords for the affected application.

- 漏洞利用

The following exploit has been provided:

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站